<?php

namespace Ulmus\SearchRequest\Attribute;

use Ulmus\SearchRequest\SearchMethodEnum;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class SearchLike extends SearchParameter
{
    public function __construct(
        public ? string $parameter = null,
        public null|string|\Stringable|array $field = null,
        public bool $toggle = false,
        public SearchMethodEnum $method = SearchMethodEnum::Like,
        public string $description = "",
    ) {}
}